old « ニコニコ動画RC2 | メイン | 寝違えた? » new

かんたんRuby on RailsでWebアプリケーション開発 06

2007年10月12日

6日目。
5日目のフォトアルバムプログラムに認証機能を付ける。

Rails1.2以降ではEnginesプラグインが使えないという致命的な問題があるらしい。
仕方がないので、RubyやらRailsやらをCDのバージョンにダウングレード。

そもそも、CDのバージョンでインストールしたはずなのに、何故か前に入れてあったバージョンで作動しているのがおかしいとは思っていたんですが、
その原因が、環境変数のPathが「Instant Rails」内のrubyになっていたからみたい。

というわけで、環境変数を書き換えて、更にRubyとRailsその他諸々を完全に入れ直して見たところ、上手くいった。

そのせいで前回使ってたRailsとのバージョンの違いでまた新たに問題が発生したりしたんですが、そこら辺はCDのサンプルデータをコピーしてみたりで何とか対応。

Enginesプラグインが最新版Railsで使えないと言うことなので、この章はあんまり意味がなかったかもしれない。

このエントリーをはてなブックマークに追加

old « ニコニコ動画RC2 | メイン | 寝違えた? » new

トラックバックURL

このエントリーのトラックバックURL:
http://blog.hp-improve.com/mt/mt-tb.cgi/426

コメントする